Index: palm/trunk/TUTORIALS/cases/lsm_long/INPUT/lsm_long_p3d
===================================================================
--- palm/trunk/TUTORIALS/cases/lsm_long/INPUT/lsm_long_p3d	(revision 4397)
+++ palm/trunk/TUTORIALS/cases/lsm_long/INPUT/lsm_long_p3d	(revision 4409)
@@ -7,30 +7,26 @@
 !-- grid parameters
 !-------------------------------------------------------------------------------
-    nx                         = 19, ! Number of gridboxes in x-direction (nx+1)
-    ny                         = 19, ! Number of gridboxes in y-direction (ny+1)
-    nz                         = 50, ! Number of gridboxes in z-direction (nz)
+    nx                         = 19,
+    ny                         = 19,
+    nz                         = 50,
 
-    dx                         = 100.0, ! Size of single gridbox in x-direction
-    dy                         = 100.0, ! Size of single gridbox in y-direction
-    dz                         = 25.0, ! Size of single gridbox in z-direction
+    dx                         = 100.0,
+    dy                         = 100.0,
+    dz                         = 25.0,
 
-    dz_stretch_level           = 100.0, ! Height (in m) where stretching starts
-    dz_max                     = 50.0,  ! maximum vertical grid size
+    dz_stretch_level           = 100.0,
+    dz_max                     = 50.0,
 !
 !-- initialization
 !------------------------------------------------------------------------------
-    initializing_actions       = 'set_constant_profiles', ! initial conditions
+    initializing_actions       = 'set_constant_profiles',
 
-    ug_surface                 = 2.5, ! u-comp of geostrophic wind at surface
-    vg_surface                 = 0.0, ! v-comp of geostrophic wind at surface
+    ug_surface                 = 2.5,
+    vg_surface                 = 0.0,
 
-    pt_surface                 = 293.0, ! initial surface potential temp
+    pt_surface                 = 293.0,
 
-    pt_vertical_gradient       = 0.0,
-                                 3.0,
-                                 0.0,    ! piecewise temp gradients
-    pt_vertical_gradient_level = 0.0,
-                                 800.0,
-                                 1600.0, ! height level of temp gradients
+    pt_vertical_gradient       = 0.0, 3.0, 0.0,
+    pt_vertical_gradient_level = 0.0, 800.0, 1600.0,
  
     q_surface                  = 0.01,   ! mixing ratio --> rel. hum. = ?
@@ -38,10 +34,10 @@
     surface_pressure           = 1000.0, ! in hPa
 
-    origin_date_time           = '2019-06-21 12:00:00 +00'
+    origin_date_time           = '2019-06-21 12:00:00 +00', ! does the year matter?
 !
 !-- physics
 !------------------------------------------------------------------------------
-    latitude                   = 53.37, ! geographical latitude
-    longitude                  = 9.73,  ! geographical longitude
+    latitude                   = 53.37,
+    longitude                  = 9.73,
 !
 !-- boundary conditions
@@ -64,6 +60,6 @@
     fft_method                 = 'temperton-algorithm', ! build-in fft method
 
-    rayleigh_damping_height    = 1600.0, ! starting height for Rayleigh damping
-    rayleigh_damping_factor    = 0.01,   ! strength of Rayleigh damping
+    rayleigh_damping_height    = 1600.0,
+    rayleigh_damping_factor    = 0.01,
 
 /
@@ -77,10 +73,9 @@
 !-- run steering
 !-------------------------------------------------------------------------------
-    end_time                   = 216000.0, ! simulation time of the 3D model
-                                           ! (2.5 days)
+    end_time                   = 216000.0, ! (2.5 days)
 
-    create_disturbances        = .T.,    ! randomly perturbate horiz. velocity
-    dt_disturb                 = 120.0,  ! interval for random perturbations
-    disturbance_energy_limit   = 0.0001, ! upper limit for perturbation energy
+    create_disturbances        = .TRUE.,
+    dt_disturb                 = 120.0,
+    disturbance_energy_limit   = 0.0001,
 !
 !-- data output
@@ -88,48 +83,16 @@
     netcdf_data_format         = 2, ! use NetCDF3
 
-    dt_run_control             = 900.0,   ! output interval for run control
-    dt_data_output             = 21600.0, ! output interval for general data
-    dt_data_output_av          = 3600.0,  ! output interval for averaged data
+    dt_run_control             = 900.0,
+    dt_data_output             = 21600.0,
+    dt_data_output_av          = 3600.0,
 
-    averaging_interval         = 1800.0,  ! averaging interval general data
+    averaging_interval         = 1800.0,
 
-    data_output_pr             = '#u', '#v', '#theta', '#q', '#thetav', 
-                                 '#km', '#kh', '#l', 
-                                 'w', 'e', 'e*', 'p', 
-                                 'w"u"', 'w*u*', 'w"v"', 'w*v*',
-                                 'w"theta"', 'w*theta*', 'w"thetav"',
-                                 'w*thetav*', 
-                                 'w"q"', 'w*q*', 'w*e*',
-                                 'theta*2', 'q*2', 'u*2', 'v*2', 'w*2',
-                                 '#t_soil', '#m_soil',  ! Profile output
+    data_output_pr             = '#u', '#v', '#theta', '#q', '#thetav', '#km', '#kh', '#l', 'w', 'e', 'e*', 'p', 'w"u"', 'w*u*', 'w"v"', 'w*v*', 'w"theta"', 'w*theta*', 'w"thetav"', 'w*thetav*', 'w"q"', 'w*q*', 'w*e*', 'theta*2', 'q*2', 'u*2', 'v*2', 'w*2', '#t_soil', '#m_soil',
 
-    section_xy                 = 0, ! surface variables only 
+    section_xy                 = 0,
 
-    data_output                = 'theta',         'theta_av',
-                                 'thetav',        'thetav_av',
-                                 'q',             'q_av',
-                                 'u',             'u_av',
-                                 'v',             'v_av',
+    data_output                = 'theta', 'theta_av', 'thetav', 'thetav_av', 'q', 'q_av', 'u', 'u_av', 'v', 'v_av', 't_soil', 't_soil_av', 'm_soil', 'm_soil_av', 'us*_xy', 'us*_xy_av', 't*_xy', 't*_xy_av', 'r_a*_xy', 'r_a*_xy_av', 'r_s*_xy', 'r_s*_xy_av', 'tsurf*_xy', 'tsurf*_xy_av', 'ghf*_xy', 'ghf*_xy_av', 'shf*_xy', 'shf*_xy_av', 'qsws_liq*_xy', 'qsws_liq*_xy_av', 'qsws_soil*_xy', 'qsws_soil*_xy_av', 'qsws_veg*_xy', 'qsws_veg*_xy_av', 'c_liq*_xy', 'c_liq*_xy_av', 'c_soil*_xy', 'c_soil*_xy_av', 'c_veg*_xy', 'c_veg*_xy_av',
 
-                                 't_soil',        't_soil_av', 
-                                 'm_soil',        'm_soil_av',
-
-                                 'us*_xy',        'us*_xy_av', 
-                                 't*_xy',         't*_xy_av', 
-                                 'r_a*_xy',       'r_a*_xy_av',
-                                 'r_s*_xy',       'r_s*_xy_av',
-                                 'tsurf*_xy',     'tsurf*_xy_av'
-
-                                 'ghf*_xy',       'ghf*_xy_av', 
-                                 'shf*_xy',       'shf*_xy_av', 
-
-                                 'qsws_liq*_xy',  'qsws_liq*_xy_av',
-                                 'qsws_soil*_xy', 'qsws_soil*_xy_av',
-                                 'qsws_veg*_xy',  'qsws_veg*_xy_av',
-
-                                 'c_liq*_xy',     'c_liq*_xy_av',
-                                 'c_soil*_xy',    'c_soil*_xy_av',
-                                 'c_veg*_xy',     'c_veg*_xy_av', ! 2d and/or
-                                                                  ! 3d output
 /
 
@@ -139,17 +102,12 @@
 !-------------------------------------------------------------------------------
 &land_surface_parameters
-    soil_type                  = 3,  ! type to be used in soil model
-    soil_moisture              = 0.35,  0.35,  0.35,  0.35, ! moisture at every
-                                 0.35,  0.35,  0.35,  0.35, ! soil level
-    soil_temperature           = 293.0, 293.0, 293.0, 293.0, ! temperature at
-                                 293.0, 293.0, 293.0, 293.0, ! every soil level
-    deep_soil_temperature      = 293.0,  ! temperature of deep soil
+    soil_type                  = 3,  ! medium-fine
+    soil_moisture              = 0.35,  0.35,  0.35,  0.35, 0.35,  0.35,  0.35,  0.35,
+    soil_temperature           = 293.0, 293.0, 293.0, 293.0, 293.0, 293.0, 293.0, 293.0,
+    deep_soil_temperature      = 293.0,
 
-    surface_type               = 'vegetation',  ! surface classification
-    vegetation_type            = 3, ! vegetation to be used in surface model
-
-    vegetation_coverage        = 0.95, ! part of surface covered by vegetation
-                                       ! (0 - 1)
-    c_surface                  = 0.0,  ! surface heat capacity
+    surface_type               = 'vegetation',
+    vegetation_type            = 3, ! short grass
+    vegetation_coverage        = 0.95,
     conserve_water_content     = .TRUE.,  ! closed (T) or open (F) lower boundary
 
@@ -162,5 +120,5 @@
 &radiation_parameters
     radiation_scheme           = 'clear-sky', ! Radiation scheme to be used
-    dt_radiation               = 60.0, ! Time step of the radiation model
+    dt_radiation               = 60.0,
 
 /
